ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philippe Waltregny <>
Subject Upgrading ANT in WSAD 5
Date Tue, 05 Aug 2003 13:18:29 GMT
I'm working with IBM WebSphere Studio Application Developer v. 5.0.1
which associates the version 1.4.1 of Ant.
However, I need some new Ant tasks like <input> for instance.
Consequently I've to upgrade the current Ant version within WSAD to a
newer version for instance the 1.5.1 one whose < lib > directory
contains :
-          ant.jar
-          optional.jar
-          xercesImpl.jar
-          xml-apis.jar
After having read the article < WebSpherePro Developer Tips June 5, 2003
Upgrading ANT in WSAD 5.0 > I've perfomed the following operations :
-          Delete the ant.jar and jakarta-ant-optional.jar jar files
from the < C:\Program Files\IBM\WebSphere
Studio\eclipse\plugins\org.apache.ant_1.4.1 > directory
-          Copy ant.jar and optional.jar into the same directory
-          Update the classpath in WSAD Window/Preferences/External
Tools/Ant/Remove, then Add Jar. to have
+ C:/Ant/jakarta-ant-1.5.1/lib/ant.jar
+ C:/Ant/jakarta-ant-1.5.1/lib/optional.jar
+ C:/Program Files/IBM/WebSphere
+ C:/Program Files/IBM/WebSphere
-          Update the plugin.xml XML file like this :
<?xml version="1.0" encoding="UTF-8"?>
    <import plugin="org.apache.xerces"/>
    <library name="ant.jar">
      <export name="*"/>
    <library name="optional.jar">
      <export name="*"/>
When I restart WSAD 5 and execute the build.xml file, I've the following
answer :
            Run Ant Problem
            Problems reading ANT build file :
            XML parser factory has nt been configured correctly :
Provider for javax.xml.parsers.SAXParserFactory cannot be found.
How to solve this problem ?
Thank you in advance.
Philippe Waltregny

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message